package at.ac.uibk.ac.artemis.testutils;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Proxy;

public abstract class InterfaceProxy {
	
	public static Object getInstance(String interfaceName, ClassLoader classLoader, InvocationHandler invocationHandler) throws ClassNotFoundException {

		Class<?> interfaceClass = classLoader.loadClass(interfaceName);
		return Proxy.newProxyInstance(classLoader, new Class[] {interfaceClass}, invocationHandler);
	}

}
